Get hosted venue account activity
curl --request GET \
--url https://api.agg.market/users/me/venue-accounts/{venue}/activity \
--header 'Authorization: Bearer <token>' \
--header 'x-app-id: <api-key>'import requests
url = "https://api.agg.market/users/me/venue-accounts/{venue}/activity"
headers = {
"x-app-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-app-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.agg.market/users/me/venue-accounts/{venue}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"venue": "betdex",
"accountId": "<string>",
"environment": "sandbox",
"asset": "USDC",
"decimals": 18,
"page": 4999,
"nextPage": 4999,
"observedAt": "2023-11-07T05:31:56Z",
"items": [
{
"id": "<string>",
"code": "Deposit",
"amountRaw": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Users
Get hosted venue account activity
Returns one owned USDC ledger page with signed exact 18-decimal amounts and native activity codes. This is observed account activity, not order-fill accounting, a spendable balance, or proof that a particular withdrawal completed. No wallet is created and no funds move. Sandbox entries are simulated funds. Provider account identities, descriptions and credentials are not returned.
GET
/
users
/
me
/
venue-accounts
/
{venue}
/
activity
Get hosted venue account activity
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
Path Parameters
Query Parameters
Available options:
live, paper Required range:
0 <= x <= 9999Must be a multiple of 1Response
200
Available options:
betdex Available options:
sandbox, production Available options:
USDC Available options:
18 Required range:
0 <= x <= 9999Required range:
0 <= x <= 9999Maximum array length:
100Show child attributes
Show child attributes